import request from '/@/utils/request'
// 查询列表
export function listSpeciesName(query:object) {
  return request({
    url: '/api/v1/businesses/speciesName/list',
    method: 'get',
    params: query
  })
}
// 查询详细
export function getSpeciesName(id:number) {
  return request({
    url: '/api/v1/businesses/speciesName/get',
    method: 'get',
    params: {
      id: id.toString()
    }
  })
}
// 新增
export function addSpeciesName(data:object) {
  return request({
    url: '/api/v1/businesses/speciesName/add',
    method: 'post',
    data: data
  })
}
// 修改
export function updateSpeciesName(data:object) {
  return request({
    url: '/api/v1/businesses/speciesName/edit',
    method: 'put',
    data: data
  })
}
// 删除
export function delSpeciesName(ids:number[]) {
  return request({
    url: '/api/v1/businesses/speciesName/delete',
    method: 'delete',
    data:{
      ids:ids
    }
  })
}
